org.jboss.netty.handler.codec.spdy

## Class DefaultSpdySynReplyFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyHeaderBlock
  - - org.jboss.netty.handler.codec.spdy.DefaultSpdySynReplyFrame

- All Implemented Interfaces:
    SpdyHeaderBlock, SpdySynReplyFrame

      public class DefaultSpdySynReplyFrame
      extends DefaultSpdyHeaderBlock
      implements SpdySynReplyFrame

  The default `SpdySynReplyFrame` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSpdySynReplyFrame(int streamId)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStreamId()` Returns the Stream-ID of this frame.
    `int` | `getStreamID()`
    `boolean` | `isLast()` Returns `true` if this frame is the last frame to be transmitted on the stream.
    `void` | `setLast(boolean last)` Sets if this frame is the last frame to be transmitted on the stream.
    `void` | `setStreamId(int streamId)` Sets the Stream-ID of this frame.
    `void` | `setStreamID(int streamId)`
    `String` | `toString()`

    - ### Methods inherited from class org.jboss.netty.handler.codec.spdy.DefaultSpdyHeaderBlock

      `addHeader, appendHeaders, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.netty.handler.codec.spdy.SpdyHeaderBlock

      `addHeader, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

- - ### Constructor Detail

    - #### DefaultSpdySynReplyFrame

          public DefaultSpdySynReplyFrame(int streamId)

      Creates a new instance.
      Parameters:
        `streamId` - the Stream-ID of this frame

  - ### Method Detail

    - #### getStreamID

          public int getStreamID()

      Specified by:
        `getStreamID` in interface `SpdySynReplyFrame`

    - #### getStreamId

          public int getStreamId()

      Description copied from interface: `SpdySynReplyFrame`
      Returns the Stream-ID of this frame.
      Specified by:
        `getStreamId` in interface `SpdySynReplyFrame`

    - #### setStreamID

          public void setStreamID(int streamId)

      Specified by:
        `setStreamID` in interface `SpdySynReplyFrame`

    - #### setStreamId

          public void setStreamId(int streamId)

      Description copied from interface: `SpdySynReplyFrame`
      Sets the Stream-ID of this frame. The Stream-ID must be positive.
      Specified by:
        `setStreamId` in interface `SpdySynReplyFrame`

    - #### isLast

          public boolean isLast()

      Description copied from interface: `SpdySynReplyFrame`
      Returns `true` if this frame is the last frame to be transmitted on the stream.
      Specified by:
        `isLast` in interface `SpdySynReplyFrame`

    - #### setLast

          public void setLast(boolean last)

      Description copied from interface: `SpdySynReplyFrame`
      Sets if this frame is the last frame to be transmitted on the stream.
      Specified by:
        `setLast` in interface `SpdySynReplyFrame`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.